Skip to main content
GET
/
entities
/
{id}
Get Entity
curl --request GET \
  --url https://api.otim.com/v0/entities/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "ent_01JA1B2C3D4E5F6G7H8J9K0L",
  "email": "alice@example.com",
  "type": "individual",
  "status": "active",
  "kycStatus": "approved",
  "tosStatus": "approved",
  "kycLink": "https://verify.otim.com/kyc/abc123",
  "tosLink": "https://verify.otim.com/tos/abc123",
  "createdAt": "2025-01-15T12:00:00Z"
}

Authorizations

Authorization
string
header
required

API key prefixed with sk_.

Path Parameters

id
string
required

The ID of the Entity.

Response

Entity details.

id
string
Example:

"ent_01JA1B2C3D4E5F6G7H8J9K0L"

email
string<email>
Example:

"alice@example.com"

type
enum<string>
Available options:
individual,
business
Example:

"individual"

status
enum<string>
Available options:
active,
inactive
Example:

"active"

kycStatus
enum<string>
Available options:
not_started,
pending,
incomplete,
under_review,
approved,
rejected
Example:

"approved"

tosStatus
enum<string>
Available options:
not_started,
pending,
approved
Example:

"approved"

Link for the Entity to complete identity verification.

Example:

"https://verify.otim.com/kyc/abc123"

Link for the Entity to accept terms of service.

Example:

"https://verify.otim.com/tos/abc123"

createdAt
string<date-time>
Example:

"2025-01-15T12:00:00Z"